Package org.pgpainless.signature.subpackets

# Interface SelfSignatureSubpackets

All Superinterfaces:
  `BaseSignatureSubpackets`

All Known Implementing Classes:
  `SignatureSubpackets`

public interface SelfSignatureSubpackets extends BaseSignatureSubpackets

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`SelfSignatureSubpackets.Callback`

## Method Summary

Modifier and Type
Method
Description
`SelfSignatureSubpackets`
`addRevocationKey(boolean isCritical, boolean isSensitive, org.bouncycastle.openpgp.PGPPublicKey revocationKey)`
`SelfSignatureSubpackets`
`addRevocationKey(boolean isCritical, org.bouncycastle.openpgp.PGPPublicKey revocationKey)`
`SelfSignatureSubpackets`
`addRevocationKey(org.bouncycastle.bcpg.sig.RevocationKey revocationKey)`
`SelfSignatureSubpackets`
`addRevocationKey(org.bouncycastle.openpgp.PGPPublicKey revocationKey)`
`SelfSignatureSubpackets`
`clearRevocationKeys()`
`SelfSignatureSubpackets`
`setFeatures(boolean isCritical, Feature... features)`
`SelfSignatureSubpackets`
`setFeatures(org.bouncycastle.bcpg.sig.Features features)`
`SelfSignatureSubpackets`
`setFeatures(Feature... features)`
`SelfSignatureSubpackets`
`setKeyExpirationTime(boolean isCritical, long secondsFromCreationToExpiration)`
`SelfSignatureSubpackets`
`setKeyExpirationTime(boolean isCritical, Date keyCreationTime, Date keyExpirationTime)`
`SelfSignatureSubpackets`
`setKeyExpirationTime(Date keyCreationTime, Date keyExpirationTime)`
`SelfSignatureSubpackets`
`setKeyExpirationTime(org.bouncycastle.bcpg.sig.KeyExpirationTime keyExpirationTime)`
`SelfSignatureSubpackets`
`setKeyExpirationTime(org.bouncycastle.openpgp.PGPPublicKey key, Date keyExpirationTime)`
`SelfSignatureSubpackets`
`setKeyFlags(boolean isCritical, KeyFlag... keyFlags)`
`default SelfSignatureSubpackets`
`setKeyFlags(List<KeyFlag> keyFlags)`
`SelfSignatureSubpackets`
`setKeyFlags(org.bouncycastle.bcpg.sig.KeyFlags keyFlags)`
`SelfSignatureSubpackets`
`setKeyFlags(KeyFlag... keyFlags)`
`SelfSignatureSubpackets`
`setPreferredCompressionAlgorithms(boolean isCritical, Set<CompressionAlgorithm> algorithms)`
`SelfSignatureSubpackets`
`setPreferredCompressionAlgorithms(Set<CompressionAlgorithm> algorithms)`
`SelfSignatureSubpackets`
`setPreferredCompressionAlgorithms(org.bouncycastle.bcpg.sig.PreferredAlgorithms algorithms)`
`SelfSignatureSubpackets`
`setPreferredCompressionAlgorithms(CompressionAlgorithm... algorithms)`
`SelfSignatureSubpackets`
`setPreferredHashAlgorithms(boolean isCritical, Set<HashAlgorithm> algorithms)`
`SelfSignatureSubpackets`
`setPreferredHashAlgorithms(Set<HashAlgorithm> algorithms)`
`SelfSignatureSubpackets`
`setPreferredHashAlgorithms(org.bouncycastle.bcpg.sig.PreferredAlgorithms algorithms)`
`SelfSignatureSubpackets`
`setPreferredHashAlgorithms(HashAlgorithm... algorithms)`
`SelfSignatureSubpackets`
`setPreferredSymmetricKeyAlgorithms(boolean isCritical, Set<SymmetricKeyAlgorithm> algorithms)`
`SelfSignatureSubpackets`
`setPreferredSymmetricKeyAlgorithms(Set<SymmetricKeyAlgorithm> algorithms)`
`SelfSignatureSubpackets`
`setPreferredSymmetricKeyAlgorithms(org.bouncycastle.bcpg.sig.PreferredAlgorithms algorithms)`
`SelfSignatureSubpackets`
`setPreferredSymmetricKeyAlgorithms(SymmetricKeyAlgorithm... algorithms)`
`SelfSignatureSubpackets`
`setPrimaryUserId()`
`SelfSignatureSubpackets`
`setPrimaryUserId(boolean isCritical)`
`SelfSignatureSubpackets`
`setPrimaryUserId(org.bouncycastle.bcpg.sig.PrimaryUserID primaryUserId)`

### Methods inherited from interface org.pgpainless.signature.subpackets.BaseSignatureSubpackets

`addEmbeddedSignature, addEmbeddedSignature, addEmbeddedSignature, addIntendedRecipientFingerprint, addIntendedRecipientFingerprint, addIntendedRecipientFingerprint, addNotationData, addNotationData, addNotationData, clearEmbeddedSignatures, clearIntendedRecipientFingerprints, clearNotationData, setExportable, setExportable, setExportable, setIssuerFingerprint, setIssuerFingerprint, setIssuerFingerprint, setIssuerFingerprintAndKeyId, setIssuerKeyId, setIssuerKeyId, setIssuerKeyId, setPolicyUrl, setPolicyUrl, setPolicyUrl, setRegularExpression, setRegularExpression, setRegularExpression, setRevocable, setRevocable, setRevocable, setSignatureCreationTime, setSignatureCreationTime, setSignatureCreationTime, setSignatureExpirationTime, setSignatureExpirationTime, setSignatureExpirationTime, setSignatureExpirationTime, setSignatureTarget, setSignatureTarget, setSignatureTarget, setSignerUserId, setSignerUserId, setSignerUserId, setTrust, setTrust, setTrust`

## Method Details

### setKeyFlags

SelfSignatureSubpackets setKeyFlags(KeyFlag... keyFlags)

### setKeyFlags

default SelfSignatureSubpackets setKeyFlags(List<KeyFlag> keyFlags)

### setKeyFlags

SelfSignatureSubpackets setKeyFlags(boolean isCritical, KeyFlag... keyFlags)

### setKeyFlags

SelfSignatureSubpackets setKeyFlags(@Nullable org.bouncycastle.bcpg.sig.KeyFlags keyFlags)

### setPrimaryUserId

SelfSignatureSubpackets setPrimaryUserId()

### setPrimaryUserId

SelfSignatureSubpackets setPrimaryUserId(boolean isCritical)

### setPrimaryUserId

SelfSignatureSubpackets setPrimaryUserId(@Nullable org.bouncycastle.bcpg.sig.PrimaryUserID primaryUserId)

### setKeyExpirationTime

SelfSignatureSubpackets setKeyExpirationTime(@Nonnull org.bouncycastle.openpgp.PGPPublicKey key, @Nullable Date keyExpirationTime)

### setKeyExpirationTime

SelfSignatureSubpackets setKeyExpirationTime(@Nonnull Date keyCreationTime, @Nullable Date keyExpirationTime)

### setKeyExpirationTime

SelfSignatureSubpackets setKeyExpirationTime(boolean isCritical, @Nonnull Date keyCreationTime, @Nullable Date keyExpirationTime)

### setKeyExpirationTime

SelfSignatureSubpackets setKeyExpirationTime(boolean isCritical, long secondsFromCreationToExpiration)

### setKeyExpirationTime

SelfSignatureSubpackets setKeyExpirationTime(@Nullable org.bouncycastle.bcpg.sig.KeyExpirationTime keyExpirationTime)

### setPreferredCompressionAlgorithms

SelfSignatureSubpackets setPreferredCompressionAlgorithms(CompressionAlgorithm... algorithms)

### setPreferredCompressionAlgorithms

SelfSignatureSubpackets setPreferredCompressionAlgorithms(Set<CompressionAlgorithm> algorithms)

### setPreferredCompressionAlgorithms

SelfSignatureSubpackets setPreferredCompressionAlgorithms(boolean isCritical, Set<CompressionAlgorithm> algorithms)

### setPreferredCompressionAlgorithms

SelfSignatureSubpackets setPreferredCompressionAlgorithms(@Nullable org.bouncycastle.bcpg.sig.PreferredAlgorithms algorithms)

### setPreferredSymmetricKeyAlgorithms

SelfSignatureSubpackets setPreferredSymmetricKeyAlgorithms(SymmetricKeyAlgorithm... algorithms)

### setPreferredSymmetricKeyAlgorithms

SelfSignatureSubpackets setPreferredSymmetricKeyAlgorithms(Set<SymmetricKeyAlgorithm> algorithms)

### setPreferredSymmetricKeyAlgorithms

SelfSignatureSubpackets setPreferredSymmetricKeyAlgorithms(boolean isCritical, Set<SymmetricKeyAlgorithm> algorithms)

### setPreferredSymmetricKeyAlgorithms

SelfSignatureSubpackets setPreferredSymmetricKeyAlgorithms(@Nullable org.bouncycastle.bcpg.sig.PreferredAlgorithms algorithms)

### setPreferredHashAlgorithms

SelfSignatureSubpackets setPreferredHashAlgorithms(HashAlgorithm... algorithms)

### setPreferredHashAlgorithms

SelfSignatureSubpackets setPreferredHashAlgorithms(Set<HashAlgorithm> algorithms)

### setPreferredHashAlgorithms

SelfSignatureSubpackets setPreferredHashAlgorithms(boolean isCritical, Set<HashAlgorithm> algorithms)

### setPreferredHashAlgorithms

SelfSignatureSubpackets setPreferredHashAlgorithms(@Nullable org.bouncycastle.bcpg.sig.PreferredAlgorithms algorithms)

### addRevocationKey

SelfSignatureSubpackets addRevocationKey(@Nonnull org.bouncycastle.openpgp.PGPPublicKey revocationKey)

### addRevocationKey

SelfSignatureSubpackets addRevocationKey(boolean isCritical, @Nonnull org.bouncycastle.openpgp.PGPPublicKey revocationKey)

### addRevocationKey

SelfSignatureSubpackets addRevocationKey(boolean isCritical, boolean isSensitive, @Nonnull org.bouncycastle.openpgp.PGPPublicKey revocationKey)

### addRevocationKey

SelfSignatureSubpackets addRevocationKey(@Nonnull org.bouncycastle.bcpg.sig.RevocationKey revocationKey)

### clearRevocationKeys

SelfSignatureSubpackets clearRevocationKeys()

### setFeatures

SelfSignatureSubpackets setFeatures(Feature... features)

### setFeatures

SelfSignatureSubpackets setFeatures(boolean isCritical, Feature... features)

### setFeatures

SelfSignatureSubpackets setFeatures(@Nullable org.bouncycastle.bcpg.sig.Features features)